scala.collection

# BitSet

#### object BitSet extends BitSetFactory[BitSet]

This object provides a set of operations to create ``BitSet`` values.

Source
  BitSet.scala

Linear Supertypes
BitSetFactory[BitSet], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BitSet
2. BitSetFactory
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(elems: Int*): BitSet

   Definition Classes
     BitSetFactory

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def bitsetCanBuildFrom: CanBuildFrom[BitSet, Int, BitSet]

   Definition Classes
     BitSetFactory

7. #### implicit def canBuildFrom: CanBuildFrom[BitSet, Int, BitSet]

   The standard `CanBuildFrom` instance for `BitSet` objects.

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val empty: BitSet

   Definition Classes
     BitSet → BitSetFactory

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def newBuilder: Builder[Int, immutable.BitSet]

    Definition Classes
      BitSet → BitSetFactory

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BitSetFactory[BitSet]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped